All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PDNS Namespace Reference

## Classes

class | NAPTRRecord
class | SRVRecord

## Functions

void | PrintOn (ostream &strm) const
NAPTRRecord * | GetFirst (const char *service=NULL)
NAPTRRecord * | GetNext (const char *service=NULL)
PDNS::NAPTRRecord * | HandleDNSRecord (PDNS_RECORD dnsRecord, PDNS_RECORD results)
void | UnlockOrder ()
DNS_STATUS | Cached_DnsQuery (const char *name, WORD type, DWORD options, void *extra, PDNS_RECORD *queryResults, void *reserved)
template<unsigned type, class RecordListType , class RecordType >
PBoolean | Lookup (const PString &name, RecordListType &recordList)
SRVRecord * | GetFirst ()
SRVRecord * | GetNext ()

## Variables

PINDEX | currentPos
int | lastOrder
PBoolean | orderLocked
PINDEX | priPos
PWORDArray | priList

## Function Documentation

DNS_STATUS PDNS::Cached_DnsQuery | ( | const char * | name,
|  | WORD | type,
|  | DWORD | options,
|  | void * | extra,
|  | PDNS_RECORD * | queryResults,
|  | void * | reserved
| ) |  |

Referenced by Lookup().

NAPTRRecord* PDNS::GetFirst | ( | const char * | service = `NULL` | ) |

SRVRecord* PDNS::GetFirst | ( |  | ) |

NAPTRRecord* PDNS::GetNext | ( | const char * | service = `NULL` | ) |

SRVRecord* PDNS::GetNext | ( |  | ) |

PDNS::SRVRecord * PDNS::HandleDNSRecord | ( | PDNS_RECORD | dnsRecord,
|  | PDNS_RECORD | results
| ) |  |

template<unsigned type, class RecordListType , class RecordType >

PBoolean PDNS::Lookup | ( | const PString & | name,
|  | RecordListType & | recordList
| ) |  |

References Cached_DnsQuery(), DNS_QUERY_STANDARD, DNS_STATUS, DnsFreeRecordList, DnsRecordListFree(), PString::IsEmpty(), and DnsRecord::pNext.

void PDNS::PrintOn | ( | ostream & | strm | ) | const

void PDNS::UnlockOrder | ( |  | ) |

References orderLocked.

## Variable Documentation

PINDEX PDNS::currentPos

int PDNS::lastOrder

PBoolean PDNS::orderLocked

Referenced by UnlockOrder().

PWORDArray PDNS::priList

PINDEX PDNS::priPos